Page MenuHomePhabricator

Disable "cross-wiki" uploads (actually local ones) from Commons to Commons, or change the upload summary so that it does not say confusing "cross-wiki"
Open, Stalled, NormalPublic

Description

When I patrol files, I sometimes see in their upload summary "Cross-wiki upload from https://commons.wikimedia.org". I think that cross-wiki uploads should be either disabled on Commons only, since we already have Upload Wizard, or the summary changed so that it does not say "cross-wiki" as they are in fact local uploads. This should not affect uploads from any other wikis except Commons.

Event Timeline

Poyekhali created this task.Jun 8 2016, 4:11 AM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptJun 8 2016, 4:11 AM
Restricted Application added a subscriber: Zppix. · View Herald Transcript
Bawolff added a subscriber: Bawolff.Jun 8 2016, 4:57 AM

Is cross-wiki upload = mobile upload?

By definition its not cross wiki if its commons->commons. Really sounds like the message was not well thought out.

Is cross-wiki upload = mobile upload?

No.

We don't have another possible target for cross-wiki uploads currently (although of course MediaWiki can have multiple foreign repos and we have multiple wikis hosting a lot of files), so in practice this is requesting to disable the cross-wiki upload entirely.

No need of consensus, since no consensus was ever gained to enable the feature (which is also in contrast with the position Commons holds since 2007, https://commons.wikimedia.org/wiki/Commons:Village_pump/Archive/2007/02#Redesigning_Special:Upload , https://commons.wikimedia.org/wiki/Commons:Village_pump/Archive/2007/04#Commons:Upload_now_live_for_English ), but it would be nice if you wrote to the Commons village pump with a summary of the information presented at T120867.

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptJun 8 2016, 5:57 AM

Cross-wiki uploads is from all the wikis, to Commons (only). I haven't tried to upload a file "cross-wiki" from Commons to Commons, but the button is present, so it's probably possible. However, almost every image uploaded that way is from a Wikipedia.

Nemo_bis renamed this task from Disable cross-wiki uploads on Commons to Disable cross-wiki uploads on all wikis (as long as Commons is the target).Jun 8 2016, 6:16 AM
Poyekhali moved this task from Incoming to Uploading on the Commons board.Jun 8 2016, 6:19 AM
matmarex renamed this task from Disable cross-wiki uploads on all wikis (as long as Commons is the target) to Disable cross-wiki uploads on Commons.Jun 8 2016, 10:12 AM
matmarex removed Prtksxna as the assignee of this task.

(For anybody else confused about what feature this is about, please see https://www.mediawiki.org/wiki/Upload_dialog and the screenshots there.)

@Nemo_bis I think you have misunderstood this request, and then changed it to what you wanted it to be. Please don't hijack tasks. :)

@Pokefan95 I think the upload dialog is very convenient, and I have used it myself once or twice when replying on village pumps. Why disable it when editing Commons specifically? Commons has many uploading tools and they can all co-exist. I agree that the upload comment is weird (the upload is not cross-wiki), it currently can't be configured to use a different comment for local vs cross-wiki uploads. This feature could be implemented if you think it is worth the effort.

(On a side note, when creating subtasks, please take care to remove the assignee and the subscribers if they might not want to be subscribed to the new task. We're now emailing some 40 people with every comment here.)

@Pokefan95 I think the upload dialog is very convenient, and I have used it myself once or twice when replying on village pumps. Why disable it when editing Commons specifically? Commons has many uploading tools and they can all co-exist. I agree that the upload comment is weird (the upload is not cross-wiki), it currently can't be configured to use a different comment for local vs cross-wiki uploads. This feature could be implemented if you think it is worth the effort.

I think we should replace cross-wiki upload with the Upload Wizard, since the Upload Wizard is more informative in copyright than cross-wiki uploads. For example, we can make the upload button on the edit area to show a window where a user can add an existing image or upload an image using Upload Wizard. I have no objection cross-wiki uploads will not be disabled on all wikis, but for Commons, no, since we already have a tool for that.

What? How is community consensus needed if the cross-wiki upload tool is implemented without consensus? It makes no sense to me.

Nemo_bis removed a subscriber: Nemo_bis.Jun 8 2016, 12:13 PM
In T137269#2363619, @Pokefan95 wrote:

I think we should replace cross-wiki upload with the Upload Wizard, since the Upload Wizard is more informative in copyright than cross-wiki uploads. For example, we can make the upload button on the edit area to show a window where a user can add an existing image or upload an image using Upload Wizard. I have no objection cross-wiki uploads will not be disabled on all wikis, but for Commons, no, since we already have a tool for that.

UploadWizard currently can't be embedded, or otherwise shown anywhere else than on Special:UploadWizard, so it can't replace the upload dialog. There is a task about this (T121631), but it's not being actively worked on at the moment.

It seems to me that the only valid complaint in the bug as described is changing the tag description so you no longer have the phrase "cross-wiki" in an upload to the local wiki.

"Because we already have UploadWizard" is not a good argument for disabling a feature with different use-cases.

As for the later discussion, I agree that UW is not currently a practical replacement for the upload dialog system, which is precisely why we built the dialog. As we get closer to an "embeddable" UW, we may still require a lighter weight upload tool for embedded uses. Even reaching that lofty goal, we should not rush to "disable" the upload dialog, because it may still be useful.

Dereckson added a subscriber: Dereckson.EditedJun 8 2016, 2:54 PM

So let's detect if we're on local or crosswiki and offer a different message.

Yes @matmarex this is valuable to offer correct log information.

matmarex renamed this task from Disable cross-wiki uploads on Commons to Disable "cross-wiki" uploads (actually local ones) from Commons to Commons.Jun 8 2016, 7:05 PM
matmarex removed a project: Crosswiki.
In T137269#2363970, @Pokefan95 wrote:

What? How is community consensus needed if the cross-wiki upload tool is implemented without consensus? It makes no sense to me.

Generally speaking, community consensus is required for configuration changes that are not an obvious improvement or that do not have solid rationale. The cross-wiki upload dialog had a pretty solid rationale when we were enabling it ('this makes uploading files easier therefore it is great', later proven to not be entirely correct). I'm not a big fan of slapping the "Community-consensus-needed" tag on everything, but I think your rationale here could be better ;)

Anyway, I wrote some code which would allow this.

These patches don't change how the tool behaves by default; after they are reviewed and deployed, you will also need a simple configuration change for whatever you/we decide to do.

Gunnex added a comment.Jun 9 2016, 9:51 PM

"(...) I sometimes see in their upload summary "Cross-wiki upload from commons.wikimedia.org" --> this appears to be extremely rare --> if I managed to configue the Quarry Cross-wiki upload from commons.wikimedia.org (March 2016) (living & tagged & deleted) correctly, I got 0 rows for "Cross-wiki upload from commons.wikimedia.org" in March 2016 (with 36.478 cross-wiki uploads).

The most important message here is: deactivate (ASAP) all "Cross-wiki upload from [insert wiki]"... and if we inserted here (e.g.) the Portuguese Wikipedia --> welcome on board with a bad ratio => 87 % --> that means (in written words) that 87 % of ALL uploads since 10.2015 to (so far analysed) March 2016 via pt.wikipedia.org were deleted (or are pendings deletion).

The overall bad ratio for ALL cross-wiki uploads is probadly > 50 % (for Cross-wiki uploads made on 08.03.2016 it's around 70 %) --> the problem here is: around 50 % of the "bad files" are still living ("Not-Yet-Tagged-Ratio" --> Commons understaffed --> flooded by copyvios) ...

Glaisher removed a subscriber: Glaisher.Jun 10 2016, 3:57 PM

@Gunnex The task creator here has explicitly said that is not what they are requesting. Please do not hijack tasks :(

Gunnex added a comment.EditedJun 10 2016, 8:31 PM

@Gunnex The task creator here has explicitly said that is not what they are requesting. Please do not hijack tasks :(

I do not "hijack tasks". I offered a technical hint, spending +/- 20 min. to adapt and run a query related to "Cross-wiki upload from commons.wikimedia.org" and I (of course) linked to an ongoing discussuion concearning "cross-wiki uploads" in general (as done also by some other users above) — also to explain (+ linking) the (technical) origin of these uploaded files, giving contextual information.

Btw...
https://quarry.wmflabs.org/query/10351 --> Cross-wiki upload from commons.wikimedia.org [010116—310516] (living & tagged & deleted)
= 301 rows
= 167 living
= 134 deleted
= 6 pending deletion
--> bad ratio (without further checks): 44 %
= welcome at "cross-wiki uploads". Feel free to engage also there. You will find more copyios/etc.

Somehow, I only got results in this query (filtering via "uploaddate") since 18.05.2016...

Somehow, I only got results in this query (filtering via "uploaddate") since 18.05.2016...

Prior to c57fe1c4a890b360fbf88035c601a1e46130d60a (which fixed T120998), local uploads using the upload dialog did not have an upload comment. It might be difficult to find them :( (Example: https://commons.wikimedia.org/wiki/File:Cross-wiki_uploads_to_Commons,_2015-10-21_to_2015-12-09.png) Since they were also missing a license tag (due to the same bug), they were probably bot-tagged and swiftly deleted.

Poyekhali lowered the priority of this task from Normal to Low.Jun 11 2016, 3:39 AM

Anyway, I wrote some code which would allow this.

These patches don't change how the tool behaves by default; after they are reviewed and deployed, you will also need a simple configuration change for whatever you/we decide to do.

The patches are now merged. Do we actually want to configure either of these options?

matmarex changed the task status from Open to Stalled.Jun 16 2016, 12:19 PM

The patches are now merged. Do we actually want to configure either of these options?

Anyway, I wrote some code which would allow this.

These patches don't change how the tool behaves by default; after they are reviewed and deployed, you will also need a simple configuration change for whatever you/we decide to do.

The patches are now merged. Do we actually want to configure either of these options?

Anyway, I wrote some code which would allow this.

These patches don't change how the tool behaves by default; after they are reviewed and deployed, you will also need a simple configuration change for whatever you/we decide to do.

The patches are now merged. Do we actually want to configure either of these options?

Who is "we"? The Commons community?

The patches are now merged. Do we actually want to configure either of these options?

Who is "we"? The Commons community?

Probably. Anyone, really. Does anyone actually want to configure either of these options?

MarkTraceur moved this task from Untriaged to Next up on the Multimedia board.Dec 2 2016, 10:08 PM
Base added a subscriber: Base.Dec 21 2016, 12:56 PM

Per T137269#2363171, I'm going to re-fix this task to be about what was actually being discussed. However, I'm also closing it since the discussion was superseded by events.

Nemo_bis renamed this task from Disable "cross-wiki" uploads (actually local ones) from Commons to Commons to Disable "cross-wiki" uploads from any wiki to Commons.Feb 17 2017, 3:18 PM
Nemo_bis closed this task as Invalid.
Nemo_bis raised the priority of this task from Low to Normal.
Nemo_bis updated the task description. (Show Details)

To clarify Nemo's comment, Commons enacted an abuse filter which prevents editors from making cross-wiki uploads to Commons unless they have made at least 50 edits to Commons and their account is at least 6 months old. So far this has blocked 357,631 uploads.

To clarify Nemo's comment, Commons enacted an abuse filter which prevents editors from making cross-wiki uploads to Commons unless they have made at least 50 edits to Commons and their account is at least 6 months old. So far this has blocked 357,631 uploads.

Which kind of warning message users who trigger this filter get? Do they have one, at least?

kaldari added a comment.EditedMay 11 2017, 6:29 PM

@Trizek-WMF: I'm not sure since the feature is currently totally broken for me (T164999).

It's only totally broken when used from the wikitext editor, it works when used from the visual editor. Given that no one noticed a drop in the uploads when it broke, it seems most users use it from the visual editor.

Old screenshot (from T138273#2463848) of the error message (appearing only after you upload and fill in the details):

Thanks matmarex.

Per T137269#2363171, I'm going to re-fix this task to be about what was actually being discussed. However, I'm also closing it since the discussion was superseded by events.

Reverting. This issue has been raised again. The original intent of this task is disable cross-wiki-uploads if Commons is the source, not about if Commons is the target. Repeating: Do not hijack tasks. T137269#2363605

zhuyifei1999 renamed this task from Disable "cross-wiki" uploads from any wiki to Commons to Disable "cross-wiki" uploads (actually local ones) from Commons to Commons, or change the upload summary so that it does not say confusing "cross-wiki".May 24 2017, 11:58 AM
zhuyifei1999 reopened this task as Open.
zhuyifei1999 updated the task description. (Show Details)

Okay, so skipping over the offtopic discussion, the current status of this task is the same as a year ago when I wrote this comment:

Anyway, I wrote some code which would allow this.

These patches don't change how the tool behaves by default; after they are reviewed and deployed, you will also need a simple configuration change for whatever you/we decide to do.

We can easily make a configuration change to use a different log comment from uploads from Commons to Commons using the upload dialog. We can also easily disable the feature locally on Commons (this can be done without disabling uploads from other wikis to Commons). It's just a matter of local consensus. @zhuyifei1999 Do you want to start a quick discussion on Commons for this? (Or repurpose the one that just came up?)

Nemo_bis removed a subscriber: Nemo_bis.May 25 2017, 2:09 PM
dr0ptp4kt changed the task status from Open to Stalled.May 30 2017, 3:16 PM
dr0ptp4kt moved this task from Next up to Triaged on the Multimedia board.
dr0ptp4kt added a subscriber: dr0ptp4kt.

Pending any community discussion and request for assistance.

Jeff_G added a subscriber: Jeff_G.Jan 28 2019, 5:07 AM